### Method

# Gio File make_symbolic_link

#### Declaration

    gboolean
    g_file_make_symbolic_link (
      GFile* file,
      const char* symlink_value,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Creates a symbolic link named `file` which contains the string `symlink_value`.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

#### Parameters

`symlink_value`

  Type: `const char*`

  A string with the path for the target of the new symlink.

  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on the creation of a new symlink, `FALSE` otherwise.